import { serializeSchema } from "./serializeSchema";
var json = {
    swagger: "2.0",
    info: {
        version: "1.0.0",
        title: "Swagger Petstore",
        description: "A sample API that uses a petstore as an example to demonstrate features in the swagger-2.0 specification",
        termsOfService: "http://swagger.io/terms/",
        contact: {
            name: "Swagger API Team",
            email: "apiteam@swagger.io",
            url: "http://swagger.io",
        },
    },
};
var stringifiedJSON = "{\n  \"swagger\": \"2.0\",\n  \"info\": {\n    \"version\": \"1.0.0\",\n    \"title\": \"Swagger Petstore\",\n    \"description\": \"A sample API that uses a petstore as an example to demonstrate features in the swagger-2.0 specification\",\n    \"termsOfService\": \"http://swagger.io/terms/\",\n    \"contact\": {\n      \"name\": \"Swagger API Team\",\n      \"email\": \"apiteam@swagger.io\",\n      \"url\": \"http://swagger.io\"\n    }\n  }\n}";
var yaml = "\nswagger: \"2.0\"\ninfo:\n  version: 1.0.0\n  title: Swagger Petstore\n  description: A sample API that uses a petstore as an example to demonstrate features in the swagger-2.0 specification\n  termsOfService: http://swagger.io/terms/\n  contact:\n    name: Swagger API Team\n    email: apiteam@swagger.io\n    url: http://swagger.io\n";
describe("serializeSchema", function () {
    test("should return JSON if input is JSON", function () {
        var input = json;
        var output = serializeSchema(input);
        expect(output).toStrictEqual(json);
    });
    test("should return JSON if input is stringified JSON", function () {
        var input = stringifiedJSON;
        var output = serializeSchema(input);
        expect(output).toStrictEqual(json);
    });
    test("should return JSON if input is yaml", function () {
        var input = yaml;
        var output = serializeSchema(input);
        expect(output).toStrictEqual(json);
    });
});
